-- ============================================================
--
--   The game's states definitions, with game states
--
-- ============================================================


-- ============================================================
-- Class and states definitions
--   Here will be the actual gameflow
-- ============================================================
--
clsGame = class("clsGame",StatefulObject)
require("src/classes/clsGame/stateMenu/stateMenu")
require("src/classes/clsGame/stateOptions/stateOptions")
require("src/classes/clsGame/stateCredits/stateCredits")
require("src/classes/clsGame/statePlay/statePlay")
require("src/classes/clsGame/stateGameOver/stateGameOver")
--
-- ============================================================


-- ============================================================
-- Dummy mandatory functions
--   Will be overriden by the game states functions
-- ============================================================
--
function clsGame:update()
end

function clsGame:draw()
end

function clsGame:keypressed(key)
end

function clsGame:keyreleased(key)
end

function clsGame:mousepressed(x,y,button )
end

function clsGame:mousereleased(x,y,button )
end
--
-- ============================================================
