-- Define buttons dimensions
-- Note that love.load() has NOT been executed when this definition is executed !
local numHeight = 100
local numButtonHeight = 50
local numButtonSpace = 10
local numButtonWidth = (love.graphics.getWidth()/2-5*numButtonSpace)/4
local numLayoutY = love.graphics.getHeight()-2*numHeight
return {type = 'panel', flow = 'y', top = numLayoutY, height = numButtonHeight+2*numButtonSpace, width = 4*numButtonWidth+1*numButtonSpace,
	{type = 'panel', flow = 'x',
		{type = "button", id = "btnStart",   shortcut = {"return", "s"}, margin = numButtonSpace, text = "Start",   width = numButtonWidth, height = numButtonHeight, align = "center middle", status = "Start playing with the currently selected ship",},
		{type = "button", id = "btnOptions", shortcut = "o",             margin = numButtonSpace, text = "Options", width = numButtonWidth, height = numButtonHeight, align = "center middle", status = "Set graphics options",},
		{type = "button", id = "btnCredits", shortcut = "c",             margin = numButtonSpace, text = "Credits", width = numButtonWidth, height = numButtonHeight, align = "center middle", status = "Display team and credits",},
		{type = "button", id = "btnExit",    shortcut = {"escape","x"},  margin = numButtonSpace, text = "eXit",    width = numButtonWidth, height = numButtonHeight, align = "center middle", status = "Return to desktop",},
	},
	{type = 'status', id = 'statusbar', align = "center" }
}
